Search
K
FGA-Service

Check tuple to evaluate the relation

Check tuple to evaluate the relation

post
https://qa.api.zinnia.io/fga/v1/check

Headers

zinnia-enable-case-type-group-authzstring

Enable case type group authorization checks

Body

application/json

CheckRequestWithConsistency

userstringrequired

party reference Id prefixed with party, so 495f40f49d8f415fa59e99716d59f6e9 is party:495f40f49d8f415fa59e99716d59f6e9

Example:party:495f40f49d8f415fa59e99716d59f6e9

relationstringrequired

the permission to check on the resource, usually described by access + _ + resource example: read_policy

Example:read_policy

objectstringrequired

specific resource to check against, prepended with the type so policy 1234 is policy:1234

Example:policy:1234

consistencystring

Consistency preference for the check. UNSPECIFIED (default) for eventual consistency, MINIMIZE_LATENCY for faster responses, HIGHER_CONSISTENCY for stronger consistency guarantees.

Allowed values:UNSPECIFIEDMINIMIZE_LATENCYHIGHER_CONSISTENCY

Default:UNSPECIFIED

Response

200 application/json

Tuple checked

CheckResponse

allowedbooleanrequired
post/fga/v1/check

Body

{ "user": "party:495f40f49d8f415fa59e99716d59f6e9", "relation": "read_policy", "object": "policy:1234" }
 
200 application/json

Check tuple to evaluate the relation and the relation to its provided parent resource

Check tuple to evaluate the relation and the relation to its provided parent resource

post
https://qa.api.zinnia.io/fga/v1/check-parent

Body

application/json

ParentCheckRequest

userstringrequired

party reference Id prefixed with party, so 495f40f49d8f415fa59e99716d59f6e9 is party:495f40f49d8f415fa59e99716d59f6e9

Example:party:495f40f49d8f415fa59e99716d59f6e9

relationstringrequired

the permission to check on the resource, usually described by access + _ + resource example: read_policy

Example:read_policy

objectstringrequired

specific resource to check against, prepended with the type so policy 1234 is policy:1234

Example:policy:1234

parentObjectstringrequired

parent object to check relation to, for example plancode:1234 for policy:1234 to verify the policy is also part of the plancode

Example:plancode:1234

Response

200 application/json

Tuple checked

CheckResponse

allowedbooleanrequired
post/fga/v1/check-parent

Body

{ "user": "party:495f40f49d8f415fa59e99716d59f6e9", "relation": "read_policy", "object": "policy:1234", "parentObject": "plancode:1234" }
 
200 application/json

Check access to a policy and its plancode

Check access to a policy and its plancode

post
https://qa.api.zinnia.io/fga/v1/check-policy

Body

application/json

PolicyCheckRequest

userstringrequired

party reference Id prefixed with party, so 495f40f49d8f415fa59e99716d59f6e9 is party:495f40f49d8f415fa59e99716d59f6e9

Example:party:495f40f49d8f415fa59e99716d59f6e9

relationstringrequired

the permission or relation for the resource, usually described by access + _ + resource example: read_policy

Example:read_policy

planCodestringrequired

plancode of policy

Example:1234

policyNumberstringrequired

policy number

Example:1234

Response

200 application/json

Tuple checked

CheckResponse

allowedbooleanrequired
post/fga/v1/check-policy

Body

{ "user": "party:495f40f49d8f415fa59e99716d59f6e9", "relation": "read_policy", "planCode": "1234", "policyNumber": "1234" }
 
200 application/json

health

Health

get
https://qa.api.zinnia.io/fga/health

Response

200
get/fga/health
 
200

List carriers

List carriers

post
https://qa.api.zinnia.io/fga/v1/list-carriers

Body

application/json

ListCarriersRequest

userstringrequired

party reference Id prefixed with party, so 495f40f49d8f415fa59e99716d59f6e9 is party:495f40f49d8f415fa59e99716d59f6e9

Example:party:495f40f49d8f415fa59e99716d59f6e9

relationstringrequired

the permission or relation for the resource, usually described by access + _ + resource example: read_policy

Example:read_policy

Response

200 application/json

OK

ListCarriersResponse

carriersarray[string]required

Example:["sbul","elic"]

post/fga/v1/list-carriers

Body

{ "user": "party:495f40f49d8f415fa59e99716d59f6e9", "relation": "read_policy" }
 
200 application/json